Support radius

This commit is contained in:
Christian Colglazier 2022-05-22 10:18:11 -04:00
parent ba200f3c40
commit f403148f64

View File

@ -42,6 +42,7 @@ gear_thinkness=10
# Other
mount_gap=2
support_radius=11/2
# Calculated values
lid_thicknesss = (part_thinkness-gear_thinkness)/2
@ -145,17 +146,16 @@ lid = lid.faces('>Z[1]').workplane().center(stepper_center[0], -stepper_center[1
lid = lid.faces('>Z[0]').workplane().circle(5/2).cutThruAll()
base = base.faces('<Z[1]').workplane().center(21,20.15).circle(26.5).cutBlind(-gear_thinkness-gear_gap)
t=11/2
base = base.faces('<Z[2]').workplane().hLine(t, forConstruction=True)\
.threePointArc((-t,-t/2),(0,t))\
.polarLine(t, -slant_degree)\
base = base.faces('<Z[2]').workplane().hLine(support_radius, forConstruction=True)\
.threePointArc((-support_radius,-support_radius/2),(0,support_radius))\
.polarLine(support_radius, -slant_degree)\
.close().extrude(-lid_thicknesss+wall_width)
base = base.faces('<Z[2]').workplane().circle(large_gear_diameter/2-gear_offset).extrude(gear_thinkness/2)
base = base.faces('<Z[2]').workplane().circle(m3_tap/2).cutBlind(-part_thinkness/2+wall_width)
# Threaded insert
base = base.faces('<<Y[-1]').workplane().center(-5,0).circle(6.5/2).cutBlind(-t-mount_gap*2-6)
base = base.faces('<<Y[-1]').workplane().circle(8.5/2).cutBlind(-t-mount_gap)
base = base.faces('<<Y[-1]').workplane().center(-5,0).circle(6.5/2).cutBlind(-support_radius-mount_gap*2-6)
base = base.faces('<<Y[-1]').workplane().circle(8.5/2).cutBlind(-support_radius-mount_gap)
# Fastener
base = base.faces('<<Y[-1]').workplane().circle((fastener_width+1)/2).cutBlind(-4)
@ -172,9 +172,9 @@ fastener = fastener.faces('<<Y[-6]').workplane().circle(5/2).cutThruAll()
# Lid large gear mount point
lid = lid.faces('>Z[0]').workplane().center(21,-20.15)\
.hLine(t, forConstruction=True)\
.threePointArc((-t,t/2),(0,-t))\
.polarLine(t, slant_degree)\
.hLine(support_radius, forConstruction=True)\
.threePointArc((-support_radius, support_radius/2),(0,-support_radius))\
.polarLine(support_radius, slant_degree)\
.close().extrude(-lid_thicknesss+wall_width)
lid = lid.faces('>Z[0]').workplane().circle(large_gear_diameter/2-gear_offset).extrude(gear_thinkness/2)
lid = lid.faces('>Z[0]').workplane().circle(2).cutThruAll()